/*
 * PasswordGroup.java
 *
 * Copyright (C) 2005-2006 Tommi Laukkanen
 * http://www.substanceofcode.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.substanceofcode.saferoom.data;

/**
 *
 * @author Tommi Laukkanen
 */
public class PasswordGroup {

    private String m_name = "";
    private PasswordItemCollection m_passwords = null;
    
    /** Creates a new instance of PasswordGroup */
    public PasswordGroup(String name) {
        m_name = name;
	m_passwords = new PasswordItemCollection();
    }
    
    /** Get group's name */
    public String getName() {
        return m_name;
    }
    
    /** Set group's name */
    public void setName(String name) {
        m_name = name;
    }
    
    /** Get password items */
    public PasswordItemCollection getPasswords() {
	return m_passwords;
    }
    
    /** Set password items */
    public void setPasswords(PasswordItemCollection passwords) {
	m_passwords = passwords;
    }
    
}
